Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1294881

Summary: Use __isa_bits macro even in %check
Product: [Fedora] Fedora Reporter: Michal Toman <michal.toman>
Component: nss-softoknAssignee: Elio Maldonado Batiz <emaldona>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: emaldona, kengert, rrelyea
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nss-softokn-3.21.0-4.fc24 nss-softokn-3.22.0-1.0.fc23 nss-softokn-3.22.0-1.0.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-02-21 02:20:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1242747    
Attachments:
Description Flags
Use-__isa_bits-macro-even-in-check.patch none

Description Michal Toman 2015-12-30 19:42:21 UTC
Created attachment 1110599 [details]
Use-__isa_bits-macro-even-in-check.patch

Description of problem:
The list of 64-bit architectures has been replaced by the __isa_bits macro in %build section but not in %check section. This breaks the build on 64-bit MIPS.

Actual results:
%check contains 64-bit architecture list to set USE_64=1

Expected results:
%check uses __isa_bits to set USE_64=1

Additional info:
Attaching a dist-git patch.

Comment 1 Elio Maldonado Batiz 2015-12-31 17:17:44 UTC
Thank you Michal.

Comment 2 Fedora Update System 2016-02-09 15:09:46 UTC
nss-util-3.22.0-1.0.fc23 nss-softokn-3.22.0-1.0.fc23 nss-3.22.0-1.0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-53890487b0

Comment 3 Fedora Update System 2016-02-10 18:51:40 UTC
nspr-4.11.0-1.fc23, nss-3.22.0-1.0.fc23, nss-softokn-3.22.0-1.0.fc23, nss-util-3.22.0-1.0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-53890487b0

Comment 4 Fedora Update System 2016-02-12 11:50:51 UTC
nspr-4.11.0-1.fc23, nss-3.22.0-1.0.fc23, nss-softokn-3.22.0-1.0.fc23, nss-util-3.22.0-1.0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-12 13:50:41 UTC
nspr-4.11.0-1.fc22, nss-3.22.0-1.0.fc22, nss-softokn-3.22.0-1.0.fc22, nss-util-3.22.0-1.0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f0441bc7b

Comment 6 Fedora Update System 2016-02-21 02:19:54 UTC
nspr-4.11.0-1.fc22, nss-3.22.0-1.0.fc22, nss-softokn-3.22.0-1.0.fc22, nss-util-3.22.0-1.0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.